For the complete documentation index, see llms.txt. This page is also available as Markdown.

Open AI Compatible

Upload File

post
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Body
filestringRequired
purposestringRequired
expires_after[anchor]string · nullableOptional
expires_after[seconds]integer · nullableOptional
Responses
200

Successful Response

application/json
idstringRequired
bytesintegerRequired
created_atintegerRequired
filenamestringRequired
objectconst: fileOptionalDefault: file
purposestring · enumRequiredPossible values:
statusstring · enumOptionalDefault: processedPossible values:
expires_atinteger · nullableOptional
status_detailsstring · nullableOptional
post/v1/files
POST /v1/files HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 90

{
  "file": "text",
  "purpose": "text",
  "expires_after[anchor]": "text",
  "expires_after[seconds]": 1
}
{
  "id": "text",
  "bytes": 1,
  "created_at": 1,
  "filename": "text",
  "object": "file",
  "purpose": "batch",
  "status": "processed",
  "expires_at": 1,
  "status_details": "text"
}

Retrieve File Content

get
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Path parameters
file_idstringRequired
Responses
200

File content

application/json
anyOptional
get/v1/files/{file_id}/content
GET /v1/files/{file_id}/content HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*

No content

Retrieve File

get
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Path parameters
file_idstringRequired
Responses
200

Successful Response

application/json
idstringRequired
bytesintegerRequired
created_atintegerRequired
filenamestringRequired
objectconst: fileOptionalDefault: file
purposestring · enumRequiredPossible values:
statusstring · enumOptionalDefault: processedPossible values:
expires_atinteger · nullableOptional
status_detailsstring · nullableOptional
get/v1/files/{file_id}
GET /v1/files/{file_id} HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "bytes": 1,
  "created_at": 1,
  "filename": "text",
  "object": "file",
  "purpose": "batch",
  "status": "processed",
  "expires_at": 1,
  "status_details": "text"
}

Delete File

delete
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Path parameters
file_idstringRequired
Responses
200

Successful Response

application/json
idstringRequired
objectconst: fileOptionalDefault: file
deletedconst: OptionalDefault: true
delete/v1/files/{file_id}
DELETE /v1/files/{file_id} HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "object": "file",
  "deleted": true
}

List Batches

get
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Query parameters
afterstring · nullableOptional
limitinteger · min: 1 · max: 100OptionalDefault: 20
Responses
200

Successful Response

application/json
objectconst: listOptionalDefault: list
first_idstring · nullableOptional
last_idstring · nullableOptional
has_morebooleanRequired
get/v1/batches
GET /v1/batches HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "object": "list",
  "data": [
    {
      "id": "text",
      "object": "batch",
      "endpoint": "text",
      "errors": {
        "object": "list",
        "data": [
          {
            "code": "text",
            "line": 1,
            "message": "text",
            "param": "text"
          }
        ]
      },
      "input_file_id": "text",
      "completion_window": "24h",
      "status": "validating",
      "output_file_id": "text",
      "error_file_id": "text",
      "created_at": 1,
      "in_progress_at": 1,
      "expires_at": 1,
      "finalizing_at": 1,
      "completed_at": 1,
      "failed_at": 1,
      "expired_at": 1,
      "cancelling_at": 1,
      "cancelled_at": 1,
      "request_counts": {
        "total": 0,
        "completed": 0,
        "failed": 0
      },
      "metadata": {
        "ANY_ADDITIONAL_PROPERTY": "text"
      },
      "model": "text",
      "usage": {
        "input_tokens": 1,
        "input_tokens_details": {
          "cached_tokens": 0
        },
        "output_tokens": 1,
        "output_tokens_details": {
          "reasoning_tokens": 0
        },
        "total_tokens": 1
      }
    }
  ],
  "first_id": "text",
  "last_id": "text",
  "has_more": true
}

Create Batch

post
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Body
input_file_idstring · min: 1Required
endpointconst: /v1/chat/completionsRequired
completion_windowconst: 24hRequired
Responses
200

Successful Response

application/json
idstringRequired
objectconst: batchOptionalDefault: batch
endpointconst: /v1/chat/completionsRequired
input_file_idstringRequired
completion_windowconst: 24hOptionalDefault: 24h
statusstring · enumRequiredPossible values:
output_file_idstring · nullableOptional
error_file_idstring · nullableOptional
created_atintegerRequired
in_progress_atinteger · nullableOptional
expires_atinteger · nullableOptional
finalizing_atinteger · nullableOptional
completed_atinteger · nullableOptional
failed_atinteger · nullableOptional
expired_atinteger · nullableOptional
cancelling_atinteger · nullableOptional
cancelled_atinteger · nullableOptional
modelstring · nullableOptional
post/v1/batches
POST /v1/batches HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 168

{
  "input_file_id": "text",
  "endpoint": "text",
  "completion_window": "text",
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "output_expires_after": {
    "anchor": "text",
    "seconds": 1
  }
}
{
  "id": "text",
  "object": "batch",
  "endpoint": "text",
  "errors": {
    "object": "list",
    "data": [
      {
        "code": "text",
        "line": 1,
        "message": "text",
        "param": "text"
      }
    ]
  },
  "input_file_id": "text",
  "completion_window": "24h",
  "status": "validating",
  "output_file_id": "text",
  "error_file_id": "text",
  "created_at": 1,
  "in_progress_at": 1,
  "expires_at": 1,
  "finalizing_at": 1,
  "completed_at": 1,
  "failed_at": 1,
  "expired_at": 1,
  "cancelling_at": 1,
  "cancelled_at": 1,
  "request_counts": {
    "total": 0,
    "completed": 0,
    "failed": 0
  },
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "model": "text",
  "usage": {
    "input_tokens": 1,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens": 1,
    "output_tokens_details": {
      "reasoning_tokens": 0
    },
    "total_tokens": 1
  }
}

Retrieve Batch

get
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Path parameters
batch_idstringRequired
Responses
200

Successful Response

application/json
idstringRequired
objectconst: batchOptionalDefault: batch
endpointconst: /v1/chat/completionsRequired
input_file_idstringRequired
completion_windowconst: 24hOptionalDefault: 24h
statusstring · enumRequiredPossible values:
output_file_idstring · nullableOptional
error_file_idstring · nullableOptional
created_atintegerRequired
in_progress_atinteger · nullableOptional
expires_atinteger · nullableOptional
finalizing_atinteger · nullableOptional
completed_atinteger · nullableOptional
failed_atinteger · nullableOptional
expired_atinteger · nullableOptional
cancelling_atinteger · nullableOptional
cancelled_atinteger · nullableOptional
modelstring · nullableOptional
get/v1/batches/{batch_id}
GET /v1/batches/{batch_id} HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "object": "batch",
  "endpoint": "text",
  "errors": {
    "object": "list",
    "data": [
      {
        "code": "text",
        "line": 1,
        "message": "text",
        "param": "text"
      }
    ]
  },
  "input_file_id": "text",
  "completion_window": "24h",
  "status": "validating",
  "output_file_id": "text",
  "error_file_id": "text",
  "created_at": 1,
  "in_progress_at": 1,
  "expires_at": 1,
  "finalizing_at": 1,
  "completed_at": 1,
  "failed_at": 1,
  "expired_at": 1,
  "cancelling_at": 1,
  "cancelled_at": 1,
  "request_counts": {
    "total": 0,
    "completed": 0,
    "failed": 0
  },
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "model": "text",
  "usage": {
    "input_tokens": 1,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens": 1,
    "output_tokens_details": {
      "reasoning_tokens": 0
    },
    "total_tokens": 1
  }
}

Cancel Batch

post
Authorizations
AuthorizationstringRequired

Lightning Rod API key (sk_…) sent as a Bearer token. Obtain one via POST /v1/mpp/topup (agents) or the dashboard (humans).

Path parameters
batch_idstringRequired
Responses
200

Successful Response

application/json
idstringRequired
objectconst: batchOptionalDefault: batch
endpointconst: /v1/chat/completionsRequired
input_file_idstringRequired
completion_windowconst: 24hOptionalDefault: 24h
statusstring · enumRequiredPossible values:
output_file_idstring · nullableOptional
error_file_idstring · nullableOptional
created_atintegerRequired
in_progress_atinteger · nullableOptional
expires_atinteger · nullableOptional
finalizing_atinteger · nullableOptional
completed_atinteger · nullableOptional
failed_atinteger · nullableOptional
expired_atinteger · nullableOptional
cancelling_atinteger · nullableOptional
cancelled_atinteger · nullableOptional
modelstring · nullableOptional
post/v1/batches/{batch_id}/cancel
POST /v1/batches/{batch_id}/cancel HTTP/1.1
Host: api.lightningrod.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "object": "batch",
  "endpoint": "text",
  "errors": {
    "object": "list",
    "data": [
      {
        "code": "text",
        "line": 1,
        "message": "text",
        "param": "text"
      }
    ]
  },
  "input_file_id": "text",
  "completion_window": "24h",
  "status": "validating",
  "output_file_id": "text",
  "error_file_id": "text",
  "created_at": 1,
  "in_progress_at": 1,
  "expires_at": 1,
  "finalizing_at": 1,
  "completed_at": 1,
  "failed_at": 1,
  "expired_at": 1,
  "cancelling_at": 1,
  "cancelled_at": 1,
  "request_counts": {
    "total": 0,
    "completed": 0,
    "failed": 0
  },
  "metadata": {
    "ANY_ADDITIONAL_PROPERTY": "text"
  },
  "model": "text",
  "usage": {
    "input_tokens": 1,
    "input_tokens_details": {
      "cached_tokens": 0
    },
    "output_tokens": 1,
    "output_tokens_details": {
      "reasoning_tokens": 0
    },
    "total_tokens": 1
  }
}

Last updated

Was this helpful?